Loading...
Searching...
No Matches
Opm::NNC Class Reference

## Public Member Functions

| NNC (const EclipseGrid &grid, const Deck &deck)
| Construct from input deck.
bool | addNNC (const size_t cell1, const size_t cell2, const double trans)
void | merge (const std::vector< NNCdata > &nncs)
| Merge additional NNCs into sorted NNCs.
const std::vector< NNCdata > & | input () const
| Get the combined information from NNC.
const std::vector< NNCdata > & | edit () const
| Get the information from EDITNNC keyword.
const std::vector< NNCdata > & | editr () const
| Get the information from EDITNNCR keyword.
KeywordLocation | input_location (const NNCdata &nnc) const
KeywordLocation | edit_location (const NNCdata &nnc) const
KeywordLocation | editr_location (const NNCdata &nnc) const
bool | operator== (const NNC &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static NNC | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Grid/NNC.hpp
- opm/input/eclipse/EclipseState/Grid/NNC.cpp